# Target Variants#FindTargetVariantById

Find Scan Target Variant by ID

Endpoint: GET /sto/api/v2/targets/{targetId}/variants/{id}
Version: 1.0
Security: 

## Query parameters:

  - `accountId` (string, required)
    Harness Account ID
    Example: "abcdef1234567890ghijkl"

## Path parameters:

  - `targetId` (string, required)
    Associated Target ID
    Example: "abcdef1234567890ghijkl"

  - `id` (string, required)
    The ID of the Scan Target Variant to retrieve
    Example: "abcdef1234567890ghijkl"

## Header parameters:

  - `X-Api-Key` (string)
    Harness personal or service access token
    Example: "Aut assumenda a."

## Response 200 fields (application/json):

  - `created` (integer, required)
    Unix timestamp at which the resource was created
    Example: 1651578240

  - `hash` (string)
    Git Commit or Container Image hash
    Example: "deadbeefdeadbeefdeadbeefdeadbeefdeadbeef"

  - `id` (string, required)
    Resource identifier
    Example: "abcdef1234567890ghijkl"

  - `lastModified` (integer, required)
    Unix timestamp at which the resource was most recently modified
    Example: 1651578240

  - `parameters` (object, required)
    Parameters for this Variant, as a JSON-encoded string
    Example: {"branch":"main"}

  - `targetId` (string, required)
    Associated Target ID
    Example: "abcdef1234567890ghijkl"

## Response 400 fields (application/json):

  - `message` (string, required)
    Example: "Not Found"

  - `status` (integer)
    Example: 404


